<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>test1 Namespace</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<style>
.container { max-width: 70em; }
pre { padding: 0.5em; word-wrap: break-word; background-color: #f8f8f8;border: 1px solid #ccc; border-radius: 0.25em; }
footer { background-color: #f8f8f8; border-top: 1px solid #ccc; padding: 1em 0; margin-top: 2em; }
</style>
<link rel="generator" href="https://gitlab.com/stone.code/cxxdoc">
</head>
<body><div class="container">
<h1>test1 Namespace</h1>
<p>Namespace test1 contains examples of the types of namespace declarations
supported by C++.  This includes nested namespaces, inline namespaces,
anonymous namespaces, and namespace aliases.</p>
<p>Using declarations are not covered by this test.</p>
<p>Nested namespace definitions were introduced in C++17, and are not included
in this testing to maintain portability.  However, they work as expected if
cxxdoc is built against a version of clang that supports C++17, and if
the correct standard is requested (i.e. <code>--std=c++17</code>).</p>
<p>Reference:  <a href="https://en.cppreference.com/w/cpp/language/namespace">https://en.cppreference.com/w/cpp/language/namespace</a></p>
<p>… this text should be added to the existing description.</p>
<h2>Inner Namespaces</h2>
<ul>
<li><a href="test1__detail.html">d = detail</a>: This is a namespace alias.</li>
<li><a href="test1__detail.html">detail</a>: This is the documentation for an inner namespace.</li>
<li><a href="test1__sub.html">sub</a>: This is an inline namespace.</li>
</ul>
</div>
<footer><div class="container">Generated by <a href="https://gitlab.com/stone.code/cxxdoc">CXXDoc</a>.</div></footer>
</body>
</html>